Notifly
API ReferenceSubscribers

Mark a notification as read

Mark a specific in-app (inbox) notification as read by its unique identifier **notificationId**.

PATCH
/v2/subscribers/{subscriberId}/notifications/{notificationId}/read

Mark a specific in-app (inbox) notification as read by its unique identifier notificationId.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

subscriberId*string

The identifier of the subscriber

notificationId*string

The identifier of the notification

Query Parameters

contextKeys?array<string>

Context keys for filtering

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v2/subscribers/string/notifications/string/read"
{  "id": "string",  "transactionId": "string",  "subject": "string",  "body": "string",  "to": {    "id": "string",    "firstName": "string",    "lastName": "string",    "avatar": "string",    "subscriberId": "string"  },  "isRead": true,  "isSeen": true,  "isArchived": true,  "isSnoozed": true,  "snoozedUntil": "string",  "deliveredAt": [    "string"  ],  "createdAt": "string",  "readAt": "string",  "firstSeenAt": "string",  "archivedAt": "string",  "avatar": "string",  "primaryAction": {    "label": "string",    "isCompleted": true,    "redirect": {      "url": "string",      "target": "_self"    }  },  "secondaryAction": {    "label": "string",    "isCompleted": true,    "redirect": {      "url": "string",      "target": "_self"    }  },  "channelType": "in_app",  "tags": [    "string"  ],  "data": {},  "redirect": {    "url": "string",    "target": "_self"  },  "workflow": {    "id": "string",    "identifier": "string",    "name": "string",    "critical": true,    "tags": [      "string"    ],    "data": {},    "severity": "high"  },  "severity": "high"}